# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'raboot/version'

Gem::Specification.new do |spec|
  spec.name          = "raboot"
  spec.version       = Raboot::Version::STRING
  spec.authors       = ["tkmru"]
  spec.email         = ["i.am.tkmru@gmail.com"]

  spec.summary       = %q{Raboot set up rails app using already existed app as a template}
  spec.description   = %q{Raboot is command line tool to easily set up new rails app by copying from already existed rails app as a template. By default, it use ~/raboot as a template.}
  spec.homepage      = "https://github.com/tkmru/raboot"
  spec.license       = "MIT"

  spec.files         = [
    ".rspec",
    ".travis.yml",
    "Gemfile",
    "LICENSE.txt",
    "README.md",
    "Rakefile",
    "bin/console",
    "bin/setup",
    "exe/raboot",
    "raboot.gemspec",
    "lib/raboot.rb",
    "lib/raboot/cli.rb",
    "lib/raboot/utils.rb",
    "lib/raboot/version.rb",
    "spec/raboot_spec.rb",
    "spec/spec_helper.rb"
  ]
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_runtime_dependency "thor"
end
